Get runners
-
GET
/platform/infrastructure/runners
Auth
Retrieves an overview of all runners.
-
q
string
-
An optional query to filter runners by. Maps to an Elasticsearch query_string query.
An overview of all runners.
application/json
-
runners
object[]
required
-
List of runners
-
-
runner_id
string
required
-
The runner identifier
-
runner_name
string
-
The runner name
-
zone
string
-
Identifier of the zone
-
tags
map string to string
-
Meta data of the runner, like image ID or processor architecture
-
features
map string to boolean
-
State of features of the runner
-
build_info
object
-
-
commit_hash
string
-
Git commit hash
-
version
string
-
Version of the runner artifact
-
host_ip
string
required
-
Host IP for the runner
-
public_hostname
string
required
-
Public hostname for the runner
-
containers
object[]
required
-
Containers for the runner
-
-
container_name
string
required
-
Name of this container
-
container_set_name
string
required
-
Name of the container set for the container
-
roles
object[]
required
-
Roles for the runner
-
-
role_name
string
required
-
Name of the role
-
connected
boolean
required
-
Specifies if the runner is connected
-
healthy
boolean
required
-
Specifies if the runner is healthy
-
health_checks
object
-
The checks performed to determine if an runner is healthy or not.
-
-
is_docker_healthy
boolean
required
-
Check performed by the runner to figure out if docker is healthy
-
is_connected_to_zk
boolean
required
-
Whether the runner is connected to zk or not
-
has_containers
boolean
required
-
Whether the runner has containers that it manages
-
region
string
-
The region that this runner belongs to. Only populated in SaaS or federated ECE.
Thank you for your feedback.